Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Vec3s Class Reference

List of all members.

## Public Types
typedef short | value_type
| Type of Vec class.
enum | { num_components = 3 }
| Number of vector components. More...
## Public Member Functions
| Vec3s ()
| Vec3s (value_type r, value_type g, value_type b)
bool | operator== (const Vec3s &v) const
bool | operator!= (const Vec3s &v) const
bool | operator< (const Vec3s &v) const
value_type * | ptr ()
const value_type * | ptr () const
void | set (value_type r, value_type g, value_type b)
void | set (const Vec3s &rhs)
value_type & | operator[] (unsigned int i)
value_type | operator[] (unsigned int i) const
value_type & | x ()
value_type & | y ()
value_type & | z ()
value_type | x () const
value_type | y () const
value_type | z () const
value_type & | r ()
value_type & | g ()
value_type & | b ()
value_type | r () const
value_type | g () const
value_type | b () const
Vec3s | operator * (value_type rhs) const
| Multiply by scalar.
Vec3s | operator/ (value_type rhs) const
Vec3s | operator+ (value_type rhs) const
Vec3s | operator- (value_type rhs) const
Vec3s | operator+ (const Vec3s &rhs) const
Vec3s | operator- (const Vec3s &rhs) const
Vec3s | operator * (const Vec3s &rhs) const
## Public Attributes
value_type | _v [3]
| Vec member varaible.

## Member Typedef Documentation

typedef short osg::Vec3s::value_type

| Type of Vec class.

## Member Enumeration Documentation

anonymous enum

  | Number of vector components. Enumeration values:
  num_components |

## Constructor & Destructor Documentation

osg::Vec3s::Vec3s | ( |  | ) | `[inline]`

osg::Vec3s::Vec3s | ( | value_type | r,
|  | value_type | g,
|  | value_type | b
| ) | `[inline]`

## Member Function Documentation

value_type osg::Vec3s::b | ( |  | ) | const`[inline]`

value_type& osg::Vec3s::b | ( |  | ) | `[inline]`

value_type osg::Vec3s::g | ( |  | ) | const`[inline]`

value_type& osg::Vec3s::g | ( |  | ) | `[inline]`

Vec3s osg::Vec3s::operator * | ( | const Vec3s & | rhs | ) | const`[inline]`

Vec3s osg::Vec3s::operator * | ( | value_type | rhs | ) | const`[inline]`

| Multiply by scalar.

bool osg::Vec3s::operator!= | ( | const Vec3s & | v | ) | const`[inline]`

Vec3s osg::Vec3s::operator+ | ( | const Vec3s & | rhs | ) | const`[inline]`

Vec3s osg::Vec3s::operator+ | ( | value_type | rhs | ) | const`[inline]`

Vec3s osg::Vec3s::operator- | ( | const Vec3s & | rhs | ) | const`[inline]`

Vec3s osg::Vec3s::operator- | ( | value_type | rhs | ) | const`[inline]`

Vec3s osg::Vec3s::operator/ | ( | value_type | rhs | ) | const`[inline]`

bool osg::Vec3s::operator< | ( | const Vec3s & | v | ) | const`[inline]`

bool osg::Vec3s::operator== | ( | const Vec3s & | v | ) | const`[inline]`

value_type osg::Vec3s::operator[] | ( | unsigned int | i | ) | const`[inline]`

value_type& osg::Vec3s::operator[] | ( | unsigned int | i | ) | `[inline]`

const value_type* osg::Vec3s::ptr | ( |  | ) | const`[inline]`

value_type* osg::Vec3s::ptr | ( |  | ) | `[inline]`

value_type osg::Vec3s::r | ( |  | ) | const`[inline]`

value_type& osg::Vec3s::r | ( |  | ) | `[inline]`

void osg::Vec3s::set | ( | const Vec3s & | rhs | ) | `[inline]`

void osg::Vec3s::set | ( | value_type | r,
|  | value_type | g,
|  | value_type | b
| ) | `[inline]`

value_type osg::Vec3s::x | ( |  | ) | const`[inline]`

value_type& osg::Vec3s::x | ( |  | ) | `[inline]`

value_type osg::Vec3s::y | ( |  | ) | const`[inline]`

value_type& osg::Vec3s::y | ( |  | ) | `[inline]`

value_type osg::Vec3s::z | ( |  | ) | const`[inline]`

value_type& osg::Vec3s::z | ( |  | ) | `[inline]`

## Member Data Documentation

value_type osg::Vec3s::_v[3]

| Vec member varaible.

The documentation for this class was generated from the following file:

- Vec3s